Summary: Jabber is an instant messaging System.
Name: jabber
Version: 1.4.1
Release: 5mdk
Source0: %{name}-%{version}.tar.bz2
Source2: jabber.initrd
Source3: jabber.cfg.bz2
Source4: icqtrans.xml.bz2
Source5: jabber-icq.initrd
Source6: aimtrans.xml.bz2
Source7: jabber-aim.initrd

%define conference_version 0.4.1
%define jud_version 0.4

#jabber services
Source10: conference-%{conference_version}.tar.bz2
Source11: jud-%{jud_version}.tar.bz2


%define aim_version 0.9.24c
%define msn_version 1.1
%define yahoo_version 0.8-1.4

# transports sources
Source20: http://download.jabber.org/dists/transports/aim-transport/aim-transport-%{aim_version}.tar.bz2
Source21: icq-transport-20010913.tar.bz2
Source22: msn-transport-%{msn_version}.tar.bz2
Source23: yahoo-transport-%{yahoo_version}.linux.tar.bz2

Patch0:  jabber-xml.patch.bz2
Patch1:  libjabber-fix-includes.patch.bz2
License: GPL
URL: http://jabber.org/
Group: System/Servers
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Buildrequires: openssl-devel
Buildrequires: libpth14-devel

%description
Jabber is an instant messaging System, similar to ICQ or AIM, yet far 
different. 
It is open source, absolutely free, simple, fast, extensible, modularized, 
cross platform, and created with the future in mind. Jabber has been 
designed from the ground up to serve the needs of the end user, satisfy 
business demands, and maintain compatibility with other messaging systems.


%package conference
Summary:	Conferencing service for Jabber server
Group:		System/Servers
Requires:	%{name} = %{version}

%description conference
This package contains conference servicing for Jabber server.

Read the documentation for install this service.


%package jud
Summary:	Jabber User Directory service for Jabber server
Group:		System/Servers
Requires:	%{name} = %{version}

%description jud
This package contains service directory servicing for Jabber server.

Read the documentation for install this service.


%package aim
Summary:	Aim Transport for Jabber server
Group:		System/Servers
Requires:	%{name} = %{version}
Obsoletes:      %{name}-icq

%description aim
This package contains icq transport for Jabber server.

Read the documentation for install this transport.

WARNING : to enable support for this transport, you must :
- uncomment aim part in /etc/jabber/jabber.xml 
- edit /etc/jabber/jabber.xml and /etc/jabber/aimtrans.xml to 
replace aim.mydomain with aim.your_computer_full_domain_name
- configure our DNS server to resolve aim.your_computer_full_domain_name
- modify /etc/jabber/aimtrans.xml to get  <aimbinarydir> to point to 
AIM Windows binaries.

%package icq
Summary:	ICQ Transport for Jabber server
Group:		System/Servers
Requires:	%{name} = %{version}

%description icq
This package contains icq transport for Jabber server.

WARNING : to enable support for this transport, you must :
- uncomment icq part in /etc/jabber/jabber.xml 
- edit /etc/jabber/jabber.xml and /etc/jabber/icqtrans.xml to 
replace icq.mydomain with icq.your_computer_full_domain_name
- configure our DNS server to resolve icq.your_computer_full_domain_name


%package msn
Summary:	Msn Transport for Jabber server
Group:		System/Servers
Requires:	%{name} = %{version}

%description msn
This package contains msn transport for Jabber server.

Read the documentation for install this transport.


%package yahoo
Summary:	Yahoo Transport for Jabber server
Group:		System/Servers
Requires:	%{name} = %{version}

%description yahoo
This package contains yahoo transport for Jabber server.

Read the documentation for install this transport.


%prep 
%setup -q -a 10 -a 11 -a 20 -a 21 -a 22 -a 23
%patch0 -p 1 -b .oldxml
%patch1 -p0
%build
%serverbuild
%configure --with-jabber-includes=%{_includedir}
%make JHOME=%{_libdir}/jabber
(cd jud-%{jud_version} ; make )
(cd conference-%{conference_version} ; make )


(cd aim-transport-%{aim_version} ; %configure ; make )
(cd icq-transport ; make )
(cd msn-transport-%{msn_version} ; make )
(cd yahoo-transport-%{yahoo_version} ; %configure --with-jabberd=$RPM_BUILD_DIR/%name-%version; make )



%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT/var/log/jabber $RPM_BUILD_ROOT%{_sbindir} $RPM_BUILD_ROOT%{_initrddir} $RPM_BUILD_ROOT%{_localstatedir}/jabber
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/jabber $RPM_BUILD_ROOT%{_libdir}/jabber   $RPM_BUILD_ROOT/var/run/jabber $RPM_BUILD_ROO
mkdir -p $RPM_BUILD_ROOT%{_libdir}/jabber/{pthsock,dnsrv,xdb_file,jsm,dialback}

install -m 755 jabberd/jabberd $RPM_BUILD_ROOT%{_sbindir}
install -m 755 pthsock/pthsock_client.so $RPM_BUILD_ROOT%{_libdir}/jabber/pthsock/pthsock_client.so
install -m 755 dnsrv/dnsrv.so $RPM_BUILD_ROOT%{_libdir}/jabber/dnsrv/dnsrv.so
install -m 755 xdb_file/xdb_file.so $RPM_BUILD_ROOT%{_libdir}/jabber/xdb_file/xdb_file.so
install -m 755 jsm/jsm.so $RPM_BUILD_ROOT%{_libdir}/jabber/jsm/jsm.so
install -m 755 dialback/dialback.so $RPM_BUILD_ROOT%{_libdir}/jabber/dialback/dialback.so
install -m 744 jabber.xml $RPM_BUILD_ROOT%{_sysconfdir}/jabber/jabber.xml
bzcat %{SOURCE3} > $RPM_BUILD_ROOT%{_sysconfdir}/jabber/jabber.cfg

mkdir -p $RPM_BUILD_ROOT/%{_initrddir}
install -m 755 %{SOURCE2} $RPM_BUILD_ROOT/%{_initrddir}/jabber


#jabber service
mkdir -p $RPM_BUILD_ROOT%{_libdir}/jabber/conference
install -m 755 conference-%{conference_version}/conference.so $RPM_BUILD_ROOT%{_libdir}/jabber/conference

mkdir -p $RPM_BUILD_ROOT%{_libdir}/jabber/jud
install -m 755 jud-%{jud_version}/jud.so $RPM_BUILD_ROOT%{_libdir}/jabber/jud

# transports

# aim-transport 
mkdir -p $RPM_BUILD_ROOT%{_libdir}/jabber/aim-transport
install -m 755 aim-transport-%{aim_version}/src/aimtrans.so $RPM_BUILD_ROOT%{_libdir}/jabber/aim-transport
bzcat %{SOURCE6} > $RPM_BUILD_ROOT%{_sysconfdir}/jabber/aimtrans.xml
install -m 755 %{SOURCE7} $RPM_BUILD_ROOT/%{_initrddir}/jabber-aim

# icq-transport
mkdir -p $RPM_BUILD_ROOT%{_libdir}/jabber/icq-transport
install -m 755 icq-transport/icqtrans.so $RPM_BUILD_ROOT%{_libdir}/jabber/icq-transport/icqtrans.so
bzcat %{SOURCE4} > $RPM_BUILD_ROOT%{_sysconfdir}/jabber/icqtrans.xml
install -m 755 %{SOURCE5} $RPM_BUILD_ROOT/%{_initrddir}/jabber-icq

# msn-transport 
mkdir -p $RPM_BUILD_ROOT%{_libdir}/jabber/msn-transport
install -m 755 msn-transport-%{msn_version}/msntrans.so $RPM_BUILD_ROOT%{_libdir}/jabber/msn-transport

# yahoo-transport 
mkdir -p $RPM_BUILD_ROOT%{_libdir}/jabber/yahoo-transport
install -m 755 yahoo-transport-%{yahoo_version}/src/yahootrans.so $RPM_BUILD_ROOT%{_libdir}/jabber/yahoo-transport



%clean
rm -rf $RPM_BUILD_ROOT

%post 
%_post_service jabber


%preun
%_preun_service jabber

%post icq
%_post_service jabber-icq


%preun icq
%_preun_service jabber-icq

%post aim
%_post_service jabber-aim

%preun aim
%_preun_service jabber-aim

%files
%defattr(-,root,root)
%doc README
%dir %{_sysconfdir}/jabber
%attr(644,daemon,daemon) %config(noreplace) %{_sysconfdir}/jabber/jabber.xml
%attr(755,daemon,daemon) %config(noreplace) %{_sysconfdir}/jabber/jabber.cfg
%config(noreplace) %{_initrddir}/jabber
%dir %{_libdir}/jabber
%{_libdir}/jabber/dialback
%{_libdir}/jabber/dnsrv
%{_libdir}/jabber/jsm
%{_libdir}/jabber/pthsock
%{_libdir}/jabber/xdb_file
%{_sbindir}/*
%attr(700,daemon,daemon) %dir %{_localstatedir}/jabber
%attr(750,daemon,daemon) %dir /var/log/jabber
%attr(700,daemon,daemon) %dir /var/run/jabber

%files conference
%defattr(-,root,root)
%docdir %{_docdir}/%{name}
%doc conference-%{conference_version}/README
%{_libdir}/jabber/conference

%files jud
%defattr(-,root,root)
%docdir %{_docdir}/%{name}
%doc jud-%{jud_version}/README
%{_libdir}/jabber/jud

%files aim
%defattr(-,root,root)
%docdir %{_docdir}/%{name}
%doc aim-transport-%{aim_version}/README
%config(noreplace) %{_sysconfdir}/jabber/aimtrans.xml
%config(noreplace) %{_initrddir}/jabber-aim
%{_libdir}/jabber/aim-transport


#%files icq
#%defattr(-,root,root)
#%docdir %{_docdir}/%{name}
#%doc icq-transport/README
#%{_libdir}/jabber/icq-transport
#%config(noreplace) %{_initrddir}/jabber-icq
#%config(noreplace) %{_sysconfdir}/jabber/icqtrans.xml

%files msn
%defattr(-,root,root)
%docdir %{_docdir}/%{name}
%doc msn-transport-%{msn_version}/README
%{_libdir}/jabber/msn-transport

%files yahoo
%defattr(-,root,root)
%docdir %{_docdir}/%{name}
%doc yahoo-transport-%{yahoo_version}/README
%{_libdir}/jabber/yahoo-transport


%changelog
* Wed Mar 13 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.4.1-5mdk
- aim transport obsoletes icq transport (since icq transport doesn't support
 ICQv7 and eats all memory :((

* Fri Jan 11 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.4.1-4mdk
- Add missing files (don't try to use ^ regex in file list :(
- Update aim transport to 0.9.24c (now also support ICQ v7 protocol)
- Add config file for aim transport
- Fix initscripts

* Wed Sep 19 2001 Vincent Saugey <vince@mandrakesoft.com> 1.4.1-3mdk
- Change file list

* Thu Sep 13 2001 Vincent Saugey <vince@mandrakesoft.com> 1.4.1-2mdk
- New snapshot 200010913 for icq-transport
- Add aim, conference, jud, msn and yahoo transport 
- Add buid pth-devel require

* Thu May  3 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.4.1-1mdk
- Release 1.4.1
- Update patch 0
- Replace source 0 by icq-transport (CVS snapshot from 20010503)

* Fri Mar 30 2001 Frederic Lepied <flepied@mandrakesoft.com> 1.2-6mdk
- corrected server macros usage

* Thu Mar 29 2001 Vincent Saugey <vince@mandrakesoft.com> 1.2-5mdk
- Adding macro for buildserver (for libsafe)
- Change post and pre

* Wed Mar 14 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 1.2-4mdk
- fix compile (fix includes for glibc-2.2.2)

* Mon Jan 15 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2-3mdk
- Fix start script again for reload this time !!

* Mon Jan 15 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2-2mdk
- Fix starting script

* Fri Dec 29 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2-1mdk
- Release 1.2
- Merge initscript from Bernd Eckenfels <ecki@debian.org>

* Tue Oct  3 2000 Vincent Saugey <vince@mandrakesoft.com> 1.0.1-3mdk
- Add build requires

* Fri Sep  8 2000 Vincent Saugey <vince@mandrakesoft.com> 1.0.1-2mdk
- Correct init script
- change default config file

* Thu Sep  7 2000 Vincent Saugey <vince@mandrakesoft.com> 1.0.1-1mdk
- Up to 1.0.1

* Thu Aug 31 2000 Vincent Saugey <vince@mandrakesoft.com> 1.0-1mdk
- Fisrt mdk release
